{% extends "references_manager/base.html" %}

{% block title %}- Company: {{ company.name }}{% endblock %}

{% block content %}

{% if user.is_superuser %}

<div class="container col-12" id="container-link">
    <div class="container bg-white rounded shadow">

        <div class="row">

             <div class="col-md-6">
                 <h2>Products for manufacturer: <b><a href="{% url 'edit-company' company.id %}">{{ company.name }}</a></b></h2>
                 <table class="table table-sm">
                  <thead>
                    <tr>
                      <th scope="col">Mfn. Code</th>
                      <th scope="col">Virgis Code</th>
                        <th scope="col">Type</th>
                    </tr>
                  </thead>
                 {% for reference in company_references %}

                  <tbody>
                    <tr>
                        <td><a href="{% url 'edit-reference' reference.id %}">{{ reference.name }}</a></td>
                        <td><a href="{% url 'detail-page' reference.product.id %}">{{ reference.product.name }}</a></td>
                        <td>{{ reference.product.type }}</td>
                    </tr>
                  {% endfor %}
                  </tbody>
                </table>
             </div>
        </div>

    </div>

</div>

<div class="container">
    <br>
</div>

{% else %}


<div class="container col-12" id="container-link">
    <div class="container bg-white rounded shadow">

        <div class="row">

             <div class="col-md-6">
                 <h2>Products for manufacturer: <b>{{ company.name }}</b></h2>
                 <table class="table table-sm">
                  <thead>
                    <tr>
                      <th scope="col">Mfn. Code</th>
                      <th scope="col">Virgis Code</th>
                        <th scope="col">Type</th>
                    </tr>
                  </thead>
                 {% for reference in company_references %}

                  <tbody>
                    <tr>
                        <td>{{ reference.name }}</td>
                        <td><a href="{% url 'detail-page' reference.product.id %}">{{ reference.product.name }}</a></td>
                        <td>{{ reference.product.type }}</td>
                    </tr>
                  {% endfor %}
                  </tbody>
                </table>
             </div>
        </div>

    </div>

</div>

<div class="container">
    <br>
</div>

{% endif %}

{% endblock content %}